-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.7.18


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema pruebas
--

-- CREATE DATABASE IF NOT EXISTS pruebas;
-- USE pruebas;

--
-- Definition of table `menu_maestro`
--

DROP TABLE IF EXISTS `menu_maestro`;
CREATE TABLE `menu_maestro` (
  `id_menu_maestro` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(10) NOT NULL,
  `titulo` varchar(100) NOT NULL,
  `fecha_ult_modificacion` datetime NOT NULL,
  PRIMARY KEY (`id_menu_maestro`),
  UNIQUE KEY `codigo_UNIQUE` (`codigo`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `menu_maestro`
--

/*!40000 ALTER TABLE `menu_maestro` DISABLE KEYS */;
INSERT INTO `menu_maestro` (`id_menu_maestro`,`codigo`,`titulo`,`fecha_ult_modificacion`) VALUES 
 (1,'maestro_1','Título de Maestro','2023-11-14 00:00:00'),
 (2,'maestro_2','Título de Maestro','2023-11-17 18:13:06'),
 (3,'maestro_3','Título de Maestro','2023-11-16 20:27:21'),
 (4,'Maestro_4','Maestro 4','2023-11-17 21:01:42');
/*!40000 ALTER TABLE `menu_maestro` ENABLE KEYS */;




--
-- Definition of table `menu_detalle`
--

DROP TABLE IF EXISTS `menu_detalle`;
CREATE TABLE `menu_detalle` (
  `id_menu_detalle` int(11) NOT NULL AUTO_INCREMENT,
  `menu_maestro_id` int(11) NOT NULL,
  `codigo` varchar(10) NOT NULL,
  `titulo` varchar(100) NOT NULL,
  `fecha_ult_modificacion` datetime NOT NULL,
  PRIMARY KEY (`id_menu_detalle`),
  KEY `fk_menu_detalle_menu_maestro_idx` (`menu_maestro_id`),
  CONSTRAINT `fk_menu_detalle_menu_maestro` FOREIGN KEY (`menu_maestro_id`) REFERENCES `menu_maestro` (`id_menu_maestro`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `menu_detalle`
--

/*!40000 ALTER TABLE `menu_detalle` DISABLE KEYS */;
INSERT INTO `menu_detalle` (`id_menu_detalle`,`menu_maestro_id`,`codigo`,`titulo`,`fecha_ult_modificacion`) VALUES 
 (1,1,'Det_1_1','Titulo de Detalle','2023-11-14 00:00:00'),
 (2,1,'Det_1_2','Titulo de Detalle','2023-11-14 00:00:00'),
 (3,1,'Det_1_3','Titulo de Detalle','2023-11-14 00:00:00'),
 (4,2,'Det_2_1','Título del Detalle','2023-11-14 14:33:27'),
 (5,2,'Det_2_2','Título del Detalle','2023-11-14 14:33:27'),
 (6,2,'Det_2_3','Título del Detalle','2023-11-14 14:33:27'),
 (7,3,'Det_3_1','Título del Detalle','2023-11-14 14:34:58'),
 (8,3,'Det_3_2','Título del Detalle','2023-11-14 14:34:30'),
 (9,3,'Det_3_3','Título del Detalle','2023-11-14 14:34:30');
/*!40000 ALTER TABLE `menu_detalle` ENABLE KEYS */;


--
-- Definition of table `menu_detalle2`
--

DROP TABLE IF EXISTS `menu_detalle2`;
CREATE TABLE `menu_detalle2` (
  `id_menu_detalle2` int(11) NOT NULL AUTO_INCREMENT,
  `menu_detalle_id` int(11) NOT NULL,
  `codigo` varchar(10) NOT NULL,
  `titulo` varchar(100) NOT NULL,
  `fecha_ult_modificacion` datetime NOT NULL,
  PRIMARY KEY (`id_menu_detalle2`),
  KEY `fk_menu_detalle2_menu_detalle1_idx` (`menu_detalle_id`),
  CONSTRAINT `fk_menu_detalle2_menu_detalle1` FOREIGN KEY (`menu_detalle_id`) REFERENCES `menu_detalle` (`id_menu_detalle`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `menu_detalle2`
--

/*!40000 ALTER TABLE `menu_detalle2` DISABLE KEYS */;
INSERT INTO `menu_detalle2` (`id_menu_detalle2`,`menu_detalle_id`,`codigo`,`titulo`,`fecha_ult_modificacion`) VALUES 
 (1,3,'De2_1_3_1','Detalle 2','2023-11-17 21:00:50'),
 (2,1,'De2_1_1_1','Títuo de Detalle2','2023-11-17 21:33:21');
/*!40000 ALTER TABLE `menu_detalle2` ENABLE KEYS */;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
